# Interface ConstantCaseLabelTree

All Superinterfaces:
  `CaseLabelTree, Tree`

public interface ConstantCaseLabelTree extends CaseLabelTree
A case label element that refers to a constant expression

Since:
  21

## Nested Class Summary

### Nested classes/interfaces declared in interface Tree

`Tree.Kind`

## Method Summary

Modifier and Type
Method
Description
`ExpressionTree`
`getConstantExpression()`
The constant expression for the case.

### Methods declared in interface Tree

`accept, getKind`

## Method Details

### getConstantExpression

ExpressionTree getConstantExpression()
The constant expression for the case.

Returns:
  the constant expression